Name: linkage
Version: 0.1.4        
Release: 4%{?dist}
Summary: Lightweight bittorent client       

Group: Applications/Internet          
License: GPLv2+        
URL: http://code.google.com/p/linkage/           
Source0: http://linkage.googlecode.com/files/%{name}-%{version}.tar.gz     
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

Patch0: linkage-0.1.4-plugindir.patch

BuildRequires: rb_libtorrent-devel
BuildRequires: curl-devel
BuildRequires: desktop-file-utils 
BuildRequires: libnotify-devel
BuildRequires: libglademm24-devel
BuildRequires: gconfmm26-devel
BuildRequires: gettext

Requires(pre): GConf2
Requires(post): GConf2
Requires(preun): GConf2

%description
Linkage a bittorent lightweight client, it includes most 
common features found in other BitTorrent clients. 
Features include DHT, PEX, UPnP, desktop notifications 
and torrent creation

%package devel
Summary: Linkage development libraries
Group: System Environment/Libraries
Requires: %{name} = %{version}

%description devel
This package provides the files needed for building
and developing linkage plugins

%prep
%setup -q
%patch0 -p1 -b .plugindir

%build
%configure --disable-schemas-install

# clean unused-direct-shlib-dependencies
sed -i -e 's! -shared ! -Wl,--as-needed\0!g' libtool

make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -f $RPM_BUILD_ROOT%{_libdir}/linkage/plugins/*.la

desktop-file-install --vendor="fedora"	\
  --delete-original \
  --dir=${RPM_BUILD_ROOT}%{_datadir}/applications	\
  ${RPM_BUILD_ROOT}%{_datadir}/applications/linkage.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig || :
export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`

%{_bindir}/gconftool-2 --makefile-install-rule \
	%{_sysconfdir}/gconf/schemas/linkage.schemas >& /dev/null || :

update-desktop-database &> /dev/null || :

%postun 
/sbin/ldconfig || :
update-desktop-database &> /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
  %{_bindir}/gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/linkage.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`%{_bindir}/gconftool-2 --get-default-source`
  %{_bindir}/gconftool-2 --makefile-uninstall-rule \
	%{_sysconfdir}/gconf/schemas/linkage.schemas >& /dev/null || :
fi

%files -f %{name}.lang
%defattr(-,root,root,-)
%{_bindir}/linkage
%{_datadir}/linkage/
%{_libdir}/linkage
%{_libdir}/liblinkage-1.so.*
%{_datadir}/pixmaps/linkage.svg
%{_datadir}/applications/fedora-linkage.desktop
%{_sysconfdir}/gconf/schemas/linkage.schemas
%doc COPYING TODO

%files devel
%defattr(-, root, root)
%{_includedir}/linkage-1.0/
%{_libdir}/liblinkage-1.so

%changelog
* Fri Aug 24 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.1.4-4
- Don't set CFLAGS and CXXFLAGS
- Rename patch
- Fix '-Wl,--as-needed' usage

* Thu Aug 23 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.1.4-3
- Link with '-Wl,--as-needed'
- Drop unneeded BuildRequires

* Thu Aug 23 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.1.4-2
- Don't install schemas in 'make install'
- BuildRequire gettext
- Run update-desktop-database
- Fix segfault due to wrong plugindir

* Wed Aug 22 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.1.4-1
- Update to new upstream (should fix rawhide builds)
- Update license tag
- Drop unneded patches

* Tue Jul 31 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.1.2-3
- Remove .la files from new location

* Tue Jul 31 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.1.2-2
- Fix plugin location

* Tue Jul 31 2007 Adel Gadllah <adel.gadllah@gmail.com> 0.1.2-1
- Initial Build

